QXmppIncomingClient Class Reference

Interface for password checkers. More...

`#include <QXmppIncomingClient.h>`

Inheritance diagram for QXmppIncomingClient:
[legend]
Collaboration diagram for QXmppIncomingClient:
[legend]

## Signals

void | elementReceived (const QDomElement &element)
| This signal is emitted when an element is received.
Signals inherited from QXmppStream
void | connected ()
| This signal is emitted when the stream is connected.
void | disconnected ()
| This signal is emitted when the stream is disconnected.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppIncomingClient (QSslSocket *socket, const QString &domain, QObject *parent=nullptr)
| ~QXmppIncomingClient () override
bool | isConnected () const override
QString | jid () const
void | setInactivityTimeout (int secs)
void | setPasswordChecker (QXmppPasswordChecker *checker)
Public Member Functions inherited from QXmppStream
| QXmppStream (QObject *parent)
| ~QXmppStream () override
bool | sendPacket (const QXmppStanza &)
void | resetPacketCache ()
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)

## Friends

class | QXmppIncomingClientPrivate

## Additional Inherited Members

Public Slots inherited from QXmppStream
virtual void | disconnectFromHost ()
virtual bool | sendData (const QByteArray &)
Protected Member Functions inherited from QXmppStream
QSslSocket * | socket () const
void | setSocket (QSslSocket *socket)
virtual void | handleStart ()
virtual void | handleStanza (const QDomElement &element)=0
virtual void | handleStream (const QDomElement &element)=0
void | enableStreamManagement (bool resetSequenceNumber)
unsigned int | lastIncomingSequenceNumber () const
void | setAcknowledgedSequenceNumber (unsigned int sequenceNumber)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

Interface for password checkers.

The QXmppIncomingClient class represents an incoming XMPP stream from an XMPP client.

## Constructor & Destructor Documentation

## QXmppIncomingClient()

QXmppIncomingClient::QXmppIncomingClient | ( | QSslSocket * | socket,
|  | const QString & | domain,
|  | QObject * | parent = `nullptr`
| ) |  |

Constructs a new incoming client stream.

Parameters

  socket | The socket for the XMPP stream.
  domain | The local domain.
  parent | The parent QObject for the stream (optional).

## ~QXmppIncomingClient()

QXmppIncomingClient::~QXmppIncomingClient | ( |  | ) |

override

Destroys the current stream.

## Member Function Documentation

## isConnected()

bool QXmppIncomingClient::isConnected | ( |  | ) | const

override virtual

Returns true if the socket is connected, the client is authenticated and a resource is bound.

Reimplemented from QXmppStream.

## jid()

QString QXmppIncomingClient::jid | ( |  | ) | const

Returns the client's JID.

## setInactivityTimeout()

void QXmppIncomingClient::setInactivityTimeout | ( | int | secs | ) |

Sets the number of seconds after which a client will be disconnected for inactivity.

## setPasswordChecker()

void QXmppIncomingClient::setPasswordChecker | ( | QXmppPasswordChecker * | checker | ) |

Sets the password checker used to verify client credentials.

Parameters

  checker |

The documentation for this class was generated from the following files:

- QXmppIncomingClient.h
- QXmppIncomingClient.cpp